# Create a Meter Event Adjustment

Creates a meter event adjustment to cancel a previously sent meter event.

## Parameters

- `cancel` (object, required)
  Specifies which event to cancel.

  - `cancel.identifier` (string, required)
    The identifier that was originally assigned to the meter event. You can only cancel events within 24 hours of Stripe receiving them.

- `event_name` (string, required)
  The name of the meter event. Corresponds with the `event_name` field on a meter.

- `type` (enum, required)
  Specifies the type of cancellation. Currently supports canceling a single event.
Possible enum values:
  - `cancel`
    Cancel a single meter event by identifier.

## Returns

## Response attributes

- `id` (string)
  The unique ID of this meter event adjustment.

- `object` (string, value is "v2.billing.meter_event_adjustment")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `cancel` (object)
  Specifies which event to cancel.

  - `cancel.identifier` (string)
    The identifier that was originally assigned to the meter event. You can only cancel events within 24 hours of Stripe receiving them.

- `created` (timestamp)
  The time the adjustment was created.

- `event_name` (string)
  The name of the meter event. Corresponds with the `event_name` field on a meter.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `status` (enum)
  The meter event adjustment’s status.
Possible enum values:
  - `complete`
    The event adjustment has been processed.

  - `pending`
    The event adjustment is still being processed.

- `type` (enum)
  Specifies the type of cancellation. Currently supports canceling a single event.
Possible enum values:
  - `cancel`
    Cancel a single meter event by identifier.

## Error Codes

| HTTP status code | Code                         | Description                                                      |
| ---------------- | ---------------------------- | ---------------------------------------------------------------- |
| 400              | invalid_cancel_configuration | The adjustment configuration is invalid for the adjustment type. |

```curl
curl -X POST https://api.stripe.com/v2/billing/meter_event_adjustments \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-04-22.dahlia" \
  --json '{
    "event_name": "ai_search_api",
    "type": "cancel",
    "cancel": {
        "identifier": "idmp_12345678"
    }
  }'
```

### Response

```json
{
  "object": "v2.billing.meter_event_adjustment",
  "id": "mtr_event_adj_12345678",
  "livemode": false,
  "created": "2024-06-01T12:00:00.000Z",
  "status": "pending",
  "event_name": "ai_search_api",
  "type": "cancel",
  "cancel": {
    "identifier": "idmp_12345678"
  }
}
```
